Bug 225103 - mpc: optflags not honored, semi-useless debuginfo
Summary: mpc: optflags not honored, semi-useless debuginfo
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mpc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 23:10 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 17:47:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-01-28 23:10:05 UTC
mpc does not honor $RPM_OPT_FLAGS, resulting in no-no such as no compiler
generated security features and more or less useless debuginfo.

Compilation output has gcc lines like:
gcc -DHAVE_CONFIG_H -I. -I. -I..   -Wall -I/usr/include  -Wall -I/usr/include -c
`test -f 'options.c' || echo './'`options.c
(No $RPM_OPT_FLAGS anywhere there)

Comment 1 Adrian Reber 2007-01-31 17:47:28 UTC
fixed in devel branch


Note You need to log in before you can comment on or make changes to this bug.